Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I saw on some sites that you can insert videos with the Video element by importing Qt 4.7 and QtMultimediaKit 1.1 . But I have an error by compiling the project (it's a tabbed touch UI project):

(file path)/Presentation1.qml:44 Type BackButtonTab unavailable
(file path)/ui/BackButtonTab.qml:4 module "Qt" is not installed
(file path)/ui/BackButtonTab.qml:5 module "QtMultimediaKit" is not installed
(file path)/ui/BackButtonTab.qml:4 module "Qt" is not installed
(file path)ui/BackButtonTab.qml:5 module "QtMultimediaKit" is not installed

/usr/lib/x86_64-linux-gnu/qt5/bin/qmlscene exited with code 255

I thought about adding Qt 4.7 and QtMultimediaKit 1.1 in the .qmlproject but it doesn't change anything

The message tells me that I have to install QtMultimediaKit and Qt, but I don't know how to do it. (I've got the same problem with 3D elements by importing Qt3D 1.0 or Qt.labs.threed 1.0 -> what's the difference between Qt3D 1.0 and Qt.labs.threed 1.0 ?)

I'm using Qt Creator 2.8.1 based on Qt 5.0.2 (GCC 4.7.3, 64 bit) built on Sep 16 2013 at 12:02:18 on Ubuntu 13.10.

share|improve this question

1 Answer 1

up vote 5 down vote accepted

To install the "QtMultimediaKit" you only need to install the libqtmultimediakit1 package:

sudo apt-get install libqtmultimediakit1

Hopefully, it will install the Qt module that you are missing too.

share|improve this answer
    
It works! Thank you very much! I just had to add: "import QtMultimedia 5.0" (none of QtMultimediaKit 1.1 or Qt 4.7) after installing libqtmultimediakit1 like you said! And it works very well! –  tuxtoriel Dec 14 '13 at 22:06

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.